﻿using System;
using Composite.Data;


namespace Composite.WritableDataProvider
{
    /// <summary>
    /// This is our implementation (data carrier) of IVCard
    /// </summary>
    public class VCard : IVCard
    {
        private DataSourceId _dataSourceId;


        public VCard(DataSourceId dataSourceId)
        {
            _dataSourceId = dataSourceId;


        }

        public DataSourceId DataSourceId
        {
            get { return _dataSourceId; }
        }



        public Guid Id
        {
            get;
            set;
        }



        public string Name
        {
            get;
            set;
        }



        public string FormattedName
        {
            get;
            set;
        }



        public string Title
        {
            get;
            set;
        }



        public string EMail
        {
            get;
            set;
        }
    }
}
